Subject: bug#11364: [debbugs-tracker] Processed: severity 11364 wishlist

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Jul 2012 13:35:15 +0800

"Drew Adams" <[email-masked]> writes:

> This is a regression - loss of a capability that Emacs has had since
> it supported a mouse.  How can you classify a regression as
> "wishlist"?

It is not a regression; you are asking for a feature that never existed.

> In Emacs versions prior to Emacs 23 an important feature was the
> ability to extend or reduce the active region by moving the cursor.
> E.g C-SPC followed by C-f.
 
> And it did not matter how the region was activated (how the mark was
> set).  You could, for example, double-click a word or a line or a sexp
> using mouse-1, then use C-f or M-f to extend the region etc.

I checked in Emacs 22: double clicking with the mouse to select a word,
then using C-f, makes the region inactive.  Emacs 24 behaves similarly.

Maybe this is not what you meant.  In that case, I suggest (not for the
first time) giving a step-by-step recipe to reprouduce the exact
behavior you think is problematic.